#!/bin/bash

#$ -S /bin/bash
#$ -N HIDDENcov-nona

#$ -o /work/$USER/$JOB_NAME-$JOB_ID-$TASK_ID.log
#$ -j y

#$ -l h_rt=00:30:00:00
#$ -l h_vmem=2G

#$ -pe smp 1-1

#$ -cwd

#$ -t 1-1

module load GCC/8.3.0
module load OpenMPI/3.1.4
module load R/3.6.2

output=/data/splot/HIDDEN/output/HIDDENcov.nona

Rscript \
    cli_01b.r \
    --max.inter.t 1 \
    --chunk.i $SGE_TASK_ID \
    --chunkn 53 \
    --nperm 99 \
    --ncores ${NSLOTS:-1} \
    --start.round 1 \
    --relax.round 1 \
    --exclude.na T \
    /data/splot/HIDDEN/species.v2.10perc.cov.txt \
    /data/splot/HIDDEN/traits.v2.10perc.txt \
    "$output" \
    "get.corXY.bootstrap" \
    "all" \
    

